<template>
  <ContentScrollView :paddingH="false">
    <nut-form :model-value="form" ref="formRef" :rules="rules">
      <nut-form-item label="姓名:" prop="name">
        <nut-input v-model.trim="form.name" placeholder="请输入企业名称" />
      </nut-form-item>
      <nut-form-item label="手机号:" prop="phone" required>
        <nut-input v-model.trim="form.phone" placeholder="请输入手机号" type="text" />
      </nut-form-item>
      <nut-form-item label="身份:" class="bole-form-item" prop="gender">
        <ChooseInputWithPicker
          v-model="form.gender"
          placeholder="请选择身份"
          :value-enum="MineHireTypeText"
        />
      </nut-form-item>
    </nut-form>
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleConfirm">保存</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import { useUserStore } from '@/stores/modules/user';
import { FormRules } from '@nutui/nutui-taro/dist/types/__VUE/form/types';
import ChooseInputWithPicker from '@/components/Input/ChooseInputWithPicker.vue';
import { MineHireTypeText, MineHireType } from './constants';

defineOptions({
  name: 'InnerPage',
});

const userStore = useUserStore();

const form = reactive({
  name: '',
  phone: '',
  gender: MineHireType.All,
});

const rules = reactive<FormRules>({
  phone: [{ required: true, message: '请输入手机号' }],
});
const formRef = ref<any>(null);
function handleConfirm() {
  if (!formRef.value) return;
  formRef.value.validate().then(({ valid, errors }: any) => {
    if (valid) {
      confirm();
    }
  });
}

function confirm() {}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.task-card-actions-text {
  font-size: 24px;
  line-height: 42px;
}
</style>
